FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
Screen functions

fl global screen functions declared in <FL/Fl.H> More...

## Functions
static int | Fl::h ()
| Returns the height in pixels of the main screen work area.
static int | Fl::screen_count ()
| Gets the number of available screens.
static void | Fl::screen_dpi (float &h, float &v, int n=0)
| Gets the screen resolution in dots-per-inch for the given screen.
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H, int mx, int my)
| Gets the bounding box of the work area of a screen that contains the specified screen position `mx`, `my`.
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H, int n)
| Gets the bounding box of the work area of the given screen.
static void | Fl::screen_work_area (int &X, int &Y, int &W, int &H)
| Gets the bounding box of the work area of the screen that contains the mouse pointer.
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H)
| Gets the bounding box of a screen that contains the mouse pointer.
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int mx, int my)
| Gets the bounding box of a screen that contains the specified screen position `mx`, `my`.
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int n)
| Gets the screen bounding rect for the given screen.
static void | Fl::screen_xywh (int &X, int &Y, int &W, int &H, int mx, int my, int mw, int mh)
| Gets the screen bounding rect for the screen which intersects the most with the rectangle defined by `mx`, `my`, `mw`, `mh`.
static int | Fl::w ()
| Returns the width in pixels of the main screen work area.
static int | Fl::x ()
| Returns the leftmost x coordinate of the main screen work area.
static int | Fl::y ()
| Returns the topmost y coordinate of the main screen work area.

## Detailed Description

fl global screen functions declared in <FL/Fl.H>

## Function Documentation

static int Fl::h | ( |  | ) | `[static]`

Returns the height in pixels of the main screen work area.

void Fl::screen_dpi | ( | float & | h,
|  | float & | v,
|  | int | n = `0`
| ) |  | `[static]`

Gets the screen resolution in dots-per-inch for the given screen.

Parameters:

  [out] | h,v | horizontal and vertical resolution
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also:
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my
| ) |  | `[static]`

Gets the bounding box of the work area of a screen that contains the specified screen position `mx`, `my`.

Parameters:

  [out] | X,Y,W,H | the work area bounding box
  [in] | mx,my | the absolute screen position

void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | n
| ) |  | `[static]`

Gets the bounding box of the work area of the given screen.

Parameters:

  [out] | X,Y,W,H | the work area bounding box
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also:
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

static void Fl::screen_work_area | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H
| ) |  | `[inline, static]`

Gets the bounding box of the work area of the screen that contains the mouse pointer.

Parameters:

  [out] | X,Y,W,H | the work area bounding box

See also:
  void screen_work_area(int &x, int &y, int &w, int &h, int mx, int my)

static void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H
| ) |  | `[inline, static]`

Gets the bounding box of a screen that contains the mouse pointer.

Parameters:

  [out] | X,Y,W,H | the corresponding screen bounding box

See also:
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my
| ) |  | `[static]`

Gets the bounding box of a screen that contains the specified screen position `mx`, `my`.

Parameters:

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | mx,my | the absolute screen position

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | n
| ) |  | `[static]`

Gets the screen bounding rect for the given screen.

Under MSWindows, Mac OS X, and the Gnome desktop, screen #0 contains the menubar/taskbar

Parameters:

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | n | the screen number (0 to Fl::screen_count() - 1)

See also:
  void screen_xywh(int &x, int &y, int &w, int &h, int mx, int my)

void Fl::screen_xywh | ( | int & | X,
|  | int & | Y,
|  | int & | W,
|  | int & | H,
|  | int | mx,
|  | int | my,
|  | int | mw,
|  | int | mh
| ) |  | `[static]`

Gets the screen bounding rect for the screen which intersects the most with the rectangle defined by `mx`, `my`, `mw`, `mh`.

Parameters:

  [out] | X,Y,W,H | the corresponding screen bounding box
  [in] | mx,my,mw,mh | the rectangle to search for intersection with

See also:
  void screen_xywh(int &X, int &Y, int &W, int &H, int n)

static int Fl::w | ( |  | ) | `[static]`

Returns the width in pixels of the main screen work area.

static int Fl::x | ( |  | ) | `[static]`

Returns the leftmost x coordinate of the main screen work area.

static int Fl::y | ( |  | ) | `[static]`

Returns the topmost y coordinate of the main screen work area.